<template>
  <div id="main-container">
    <editor @updateStatus="updateStatusInHeader($event)"></editor>
    <preview @updateStatus="updateStatusInHeader($event)"></preview>
  </div>
</template>

<script>
import Editor from "./editor";
import Preview from "./preview";

export default {
  components: {
    editor: Editor,
    preview: Preview
  },

  data() {
    return {};
  },
  methods: {
    updateStatusInHeader(status) {
      this.$emit('statusChanged', status);
    }
  }
};
</script>

<style scoped>
#main-container {
  flex: auto;
  height: calc(100vh - 350px);
}
</style>